Bug 979446 - RFE: journald: provide API to register a callback for events
RFE: journald: provide API to register a callback for events
Status: NEW
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 10:52 EDT by Jiri Moskovcak
Modified: 2015-03-03 18:07 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2013-06-28 10:52:56 EDT
Description of problem:
The current journald API doesn't seem to provide a way to register a callback to events, so the only way to detect a new crash is to poll the journald which feels wrong - the polling is wrong and ABRT should react to the crash immediately, it also saves some data from /proc/<pid> which should be also somehow accessible when we give up the core_pattern hook to journald.

Version-Release number of selected component (if applicable):
systemd-204-8.fc19.x86_64

Actual results:
Can't use journald core collection functionality without loosing features

Expected results:
Seamless transition to journald without loosing functionality

Additional info:
has been requested quite some time ago:
https://fedorahosted.org/abrt/ticket/849
https://github.com/abrt/abrt/issues/548
https://bugs.freedesktop.org/show_bug.cgi?id=54288
Comment 1 Kay Sievers 2013-07-02 11:38:09 EDT
It is planned that messages carrying:
  MESSAGE_ID=<128 bit uuid>
are able to "activate" services.

It's not entirely trivial to implement that, so it might take a while until we
get to it, considering the long TODO list we have at the moment.

It is in any case something that sounds useful and which we want for our own
stuff too, it's just not available or implemented at this moment in time.

Note You need to log in before you can comment on or make changes to this bug.